library ExtReg1;

uses
  SysUtils, Classes;

const x: array[0..15] of double =
         (50,55,60,65,70,75,80,85,90,95,100,105,110,115,120,125);
     y: array[0..15] of double =
         (34780,28610,23650,19630,16370,13720,11540,9744,8261,7030,6005,5147,4427,3820,3307,2872);

Function OptFunc(para: array of double; var ObsY, CalY: array of double): double;StdCall;
var i:integer;
    temd, temy: double;
begin
    temd := 0;
    for i := 0 to 15 do begin
        temy := para[0]*exp(para[1]/(x[i]+para[2]));
        ObsY[i] := y[i];
        CalY[i] := temy;
        temD := temD + sqr(y[i] -temy);
    end;
    result := sqrt(temD/16);
end;

Exports OptFunc;

begin
end.
 
